### Name: CircNNTSR-package
### Title: CircNNTSR: An R package for the statistical analysis of circular
###   data using nonnegative trigonometric sums (NNTS) models
### Aliases: CircNNTSR-package CircNNTSR


### ** Examples

a<-c(runif(10,3*pi/2,2*pi-0.00000001),runif(10,pi/2,pi-0.00000001))
est<-nntsestimation(2,a)
nntsplot(est$coef,2)

b<-c(runif(10,3*pi/2,2*pi-0.00000001),runif(10,pi/2,pi-0.00000001))
estS<-nntsestimationSymmetric(2,b)
nntsplotSymmetric(estS$coef,2)

data(ants_radians)
#Empirical analysis of data
ants_hist<-hist(ants_radians,breaks=10,freq=FALSE)
#Estimation of the NNTS density with 3 componentes for data
est<-nntsestimation(3,ants_radians)
#Verify successful optimization (est$convergence must be equal to 0)
est
#plot the estimated density
nntsplot(est$coef,3)
#add the histogram to the estimated density plot
plot(ants_hist, freq=FALSE, add=TRUE)



